#
# spec file for package udev-extra-rules
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           udev-extra-rules
Version:        0.2
Release:        1.12
Summary:        SUSE specific hardware tuning rules
License:        GPL-2.0-or-later
Group:          System/Base
URL:            https://github.com/openSUSE/udev-extra-rules.git
Source0:        %{name}-%{version}.tar.xz
Requires:       systemd
Provides:       system-tuning-common-SUSE = %{version}
Obsoletes:      system-tuning-common-SUSE < %{version}
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(systemd)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains SUSE specific hardware tunings common to all SUSE brands.

%prep
%setup -q

%build
:

%install
mkdir -p %{buildroot}/%{_prefix}/lib/udev/rules.d/

for RULE in $(ls *.rules); do
    install -m 644 $RULE %{buildroot}/%{_prefix}/lib/udev/rules.d/
done

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%defattr(-,root,root)
%doc
%{_prefix}/lib/udev/rules.d/*.rules

%changelog
* Wed Sep 15 2021 Martin Wilck <mwilck@suse.com>
- Fix Provides/Obsoletes
* Mon Sep  6 2021 Thomas Blume <thomas.blume@suse.com>
- Fixes for IO scheduler rules (bsc#1188713)
  commits:
  14f5487 60-io-scheduler.rules: add comments and sample rules
  ff0e0ee 60-io-scheduler.rules: drop code for legacy IO path
  7171519 60-io-scheduler.rules: skip zoned devices
  bdd5281 60-io-scheduler-rules: skip non-configurable devices
  45a860b 60-io-scheduler.rules: fix logic for dm devices
* Wed Feb 26 2020 Thomas Blume <thomas.blume@suse.com>
- specfile cleanup
* Mon Jan 13 2020 Thomas Blume <thomas.blume@suse.com>
- rename package from system-tuning-common-SUSE to udev-extra-rules
  in order to better reflect its purpose
* Fri Nov  8 2019 Thomas Blume <thomas.blume@suse.com>
- fix variable expansion in 80-hotplug-cpu-mem.rules (boo#1154655)
* Mon Jul 15 2019 Dominique Leuenberger <dleuenberger@suse.com>
- Drop sg.conf: sg.conf is shipped by suse-module-tools by now.
* Wed Mar  6 2019 Thomas Blume <Thomas.Blume@suse.com>
- Do not automagically online memory on s390x (bsc#1127557)
  * update 80-hotplug-cpu-mem.rules
* Tue Dec  4 2018 Thomas.Blume@suse.com
- 80-hotplug-cpu-mem.rules: cope with non zero exit code if there is
  no virtualization
  * commit 5040c2a systemd: ignore the exit code of systemd-detect-virt
    for memory hot-add
* Fri Sep 28 2018 Thomas.Blume@suse.com
- initial release version 0.1 (fate#325478)
  * split off SUSE specific configuration from systemd package
  * add 60-io-scheduler.rules
  * add 42-usb-hid-pm.rules (fate#325566)
  * add 80-hotplug-cpu-mem.rules
  * add 99-wakeup-from-idle.rules
  * add /usr/lib/modules-load.d/sg.conf
